org.apache.flume.api

## Class SecureRpcClientFactory

- java.lang.Object
- - org.apache.flume.api.SecureRpcClientFactory

-     public class SecureRpcClientFactory
      extends Object

  Factory class to construct Flume `RPCClient` implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureRpcClientFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RpcClient` | `getThriftInstance(Properties props)` Return a secure RpcClient that uses Thrift for communicating with the next hop.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecureRpcClientFactory

          public SecureRpcClientFactory()

  - ### Method Detail

    - #### getThriftInstance

          public static RpcClient getThriftInstance(Properties props)

      Return a secure RpcClient that uses Thrift for communicating with the next hop.
      Parameters:
        `props` -
      Returns:
        - An RpcClient which uses thrift configured with the given parameters.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.